----clean up-------

FORCE APPLICATIONS ALL;
CONNECT RESET;
FORCE APPLICATIONS ALL;
FORCE APPLICATIONS ALL;
DISCONNECT ALL;
FORCE APPLICATIONS ALL;
DROP DATABASE parcel;
DROP DATABASE parcelmd;

----create database----

CREATE DATABASE parcel USING CODESET UTF-8 TERRITORY US;
CREATE DATABASE parcelmd USING CODESET UTF-8 TERRITORY US;

----create tables----
CONNECT TO PARCEL;

 
CREATE TABLE DSYSAMPLE.parcel (
    id VARCHAR(20) NOT NULL,
    weight DECIMAL(9,2) NOT NULL,
    sender VARCHAR(20) NOT NULL,
    addressee VARCHAR(20) NOT NULL,
    price DECIMAL(9,2),
    shipping INTEGER NOT NULL,
    rate INTEGER NOT NULL,
    confirm CHAR(1),
    payment INTEGER,
    PRIMARY KEY (id)
);

CREATE TABLE DSYSAMPLE.customer (
    id VARCHAR(30) NOT NULL,
    firstname VARCHAR(128),
    lastname VARCHAR(128) NOT NULL,
    sex CHAR(1),
    street VARCHAR(128) NOT NULL,
    city VARCHAR(128) NOT NULL,
    state CHAR(4) NOT NULL,
    zipcode CHAR(15) NOT NULL,
    phone VARCHAR(15),
    PRIMARY KEY (id)
);

CREATE TABLE DSYSAMPLE.operator (
    id INTEGER NOT NULL,
    firstname VARCHAR(128) NOT NULL,
    lastname VARCHAR(128) NOT NULL,
    PRIMARY KEY (id)
);


CREATE TABLE DSYSAMPLE.taction (
    id VARCHAR(20) NOT NULL,
    ttime TIMESTAMP NOT NULL,
    ttype VARCHAR(1) NOT NULL,
    operator INTEGER,
    note VARCHAR(2048),
    parcel VARCHAR(15),
    PRIMARY KEY (id)
);

CREATE TABLE DSYSAMPLE.confirmation (
    id VARCHAR(20) NOT NULL,
    taction VARCHAR(20) NOT NULL,
    signature BLOB(1048576) ,
    PRIMARY KEY (id)
);

CREATE TABLE DSYSAMPLE.receipt (
    id VARCHAR(20) NOT NULL,
    taction VARCHAR(20) NOT NULL,
    creditcard VARCHAR(20),
    xmlfile XML,
    PRIMARY KEY(id)
);

CREATE TABLE DSYSAMPLE.appointment (
    id VARCHAR(20) NOT NULL,
    atime TIMESTAMP NOT NULL,
    atype CHAR(1),
    customer VARCHAR(20) NOT NULL,
    xmlfile XML,
    PRIMARY KEY (id)
);

CREATE TABLE DSYSAMPLE.creditcard (
    id VARCHAR(20) NOT NULL,
    expiration TIMESTAMP NOT NULL,
    cardtype VARCHAR(40) NOT NULL,
    cardholder VARCHAR(128) NOT NULL,
    cardnumber VARCHAR(16) NOT NULL,
    signature  BLOB(1048576),
    PRIMARY KEY (id)
);

CREATE TABLE DSYSAMPLE.rate (
    id INTEGER NOT NULL,
    title VARCHAR(128) NOT NULL,
    price DECIMAL(7,2) NOT NULL,
    weight DECIMAL(5,2) NOT NULL,
    width INTEGER NOT NULL,
    height INTEGER NOT NULL,
    depth INTEGER NOT NULL,
    PRIMARY KEY (id)
);

CREATE TABLE DSYSAMPLE.shipping (
    id INTEGER NOT NULL,
    title VARCHAR(128) NOT NULL,
    price DECIMAL(5,2),
    PRIMARY KEY (id)
);


----insert data-----



-- some customers

INSERT INTO DSYSAMPLE.CUSTOMER VALUES ('1000000000001' ,'Cliff', 'Leung', 'M', '323 SunShine Road', 'St Vally', 'FL', '93221', '334-463-2502');
INSERT INTO DSYSAMPLE.CUSTOMER VALUES ('1000000000002' ,'Thomas', 'Fanghaenel', 'M', '123 Silver Drive', 'End Rose', 'MI', '92542', '608-333-3254');
INSERT INTO DSYSAMPLE.CUSTOMER VALUES ('1000000000003' ,'Lisa', 'Haut', 'F', '555 Bailey Ave.', 'San Jose', 'CA', '95141', '408-463-5315');
INSERT INTO DSYSAMPLE.CUSTOMER VALUES ('1000000000004' ,'Mary', 'Wu', 'F', '963 Desmet Way', 'San Jose', 'CA', '96125', '408-580-7064');


-- some sample rates

INSERT INTO DSYSAMPLE.rate VALUES (1,'Small', 7.50, 2.5, 20, 20, 20);
INSERT INTO DSYSAMPLE.rate VALUES (2,'Medium', 12.00, 20, 40, 40, 40);
INSERT INTO DSYSAMPLE.rate VALUES (3,'Large', 18.00, 50, 70, 70, 70);
INSERT INTO DSYSAMPLE.rate VALUES (4,'X-Large', 25.00, 200, 100, 100, 100);


-- some shipping rates

INSERT INTO DSYSAMPLE.shipping VALUES (1,'Standard', 0);
INSERT INTO DSYSAMPLE.shipping VALUES (2,'2-Day', 5);
INSERT INTO DSYSAMPLE.shipping VALUES (3,'24-Hours',10);


-- some appointments

INSERT INTO DSYSAMPLE.appointment VALUES('1000000000001','2008-06-30-09.00.00', 'P', '1000000000003','<Appointment><Atime>2008-06-30-09.00.00</Atime><Atype>P</Atype><CustomerID>1000000000003</CustomerID></Appointment>');
INSERT INTO DSYSAMPLE.appointment VALUES('1000000000002','2008-06-30-09.30.00', 'D', '1000000000001','<Appointment><Atime>2008-06-30-09.30.00</Atime><Atype>D</Atype><CustomerID>1000000000001</CustomerID></Appointment>');
INSERT INTO DSYSAMPLE.appointment VALUES('1000000000003','2008-06-30-15.30.00', 'D', '1000000000002','<Appointment><Atime>2008-06-30-15.30.00</Atime><Atype>D</Atype><CustomerID>1000000000002</CustomerID></Appointment>');


-- parcels

INSERT INTO DSYSAMPLE.parcel VALUES ('1000000000001',5.6, '1000000000001', '1000000000003', 0.00, 2, 2,'Y',0);
INSERT INTO DSYSAMPLE.parcel VALUES ('1000000000002',0.1, '1000000000003', '1000000000002', 0.00, 1, 1,'Y',0);
INSERT INTO DSYSAMPLE.parcel VALUES ('1000000000003',80, '1000000000002', '1000000000001', 70.00, 3, 3,'N',0);
INSERT INTO DSYSAMPLE.parcel VALUES ('1000000000004',199.99, '1000000000001', '1000000000004', 335.53, 1, 3,'Y',0);



-- some operators

INSERT INTO DSYSAMPLE.operator VALUES (1,'Tom', 'Hanks');
INSERT INTO DSYSAMPLE.operator VALUES (2,'Mickey', 'Mouse');
INSERT INTO DSYSAMPLE.operator VALUES (3,'Speedy', 'Gonzalez');
INSERT INTO DSYSAMPLE.operator VALUES (4,'Lucky', 'Luck');


-- transactions

INSERT INTO DSYSAMPLE.taction VALUES ('1000000000001','2008-06-30-10.30.00', 'P', 1, '', '1000000000003');
INSERT INTO DSYSAMPLE.taction VALUES ('1000000000002','2008-06-27-12.55.10', 'P', 2, 'Wrapping is damaged', '1000000000002');
INSERT INTO DSYSAMPLE.taction VALUES ('1000000000003','2008-06-14-09.30.27', 'P', 2, '', '1000000000004');
INSERT INTO DSYSAMPLE.taction VALUES ('1000000000004','2008-06-29-15.30.43', 'P', 4, 'Handle carefully', '1000000000001');
INSERT INTO DSYSAMPLE.taction VALUES ('1000000000006','2008-06-30-09.28.14', 'T', 3, '', 
'1000000000003');
INSERT INTO DSYSAMPLE.taction VALUES ('1000000000007','2008-07-01-09.28.04', 'T', 3, '', 
'1000000000002');
INSERT INTO DSYSAMPLE.taction VALUES ('1000000000008','2008-07-01-14.20.10', 'T', 3, '', 
'1000000000004');
INSERT INTO DSYSAMPLE.taction VALUES ('1000000000009','2008-07-01-12.10.24', 'T', 3, '', 
'1000000000001');